Bug 26576 - Subfield descriptions on authority detail view are cut off
Summary: Subfield descriptions on authority detail view are cut off
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-29 21:05 UTC by Katrin Fischer
Modified: 2020-11-10 23:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26576: Subfield descriptions on authority detail view are cut off (6.64 KB, patch)
2020-09-30 16:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26576: Subfield descriptions on authority detail view are cut off (6.69 KB, patch)
2020-10-01 13:32 UTC, David Nind
Details | Diff | Splinter Review
Bug 26576: Subfield descriptions on authority detail view are cut off (6.74 KB, patch)
2020-10-13 11:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-09-29 21:05:47 UTC
When looking at the details of a MARC authority record on the staff interface, the descriptions of the subfields are cut off. The title attribute has the full description, but in the span it's cut off in the middle:

/cgi-bin/koha/authorities/detail.pl?authid=...

The field descriptions display fully.
Comment 1 Owen Leonard 2020-09-30 16:00:14 UTC
Created attachment 111000 [details] [review]
Bug 26576: Subfield descriptions on authority detail view are cut off

This patch corrects the authority detail view on the staff interface so
that subfield descriptions are not longer output as truncated strings.

For instance, before this patch the subfield description for 035$a would
be "System control numbe"

After the patch it should be "System control number."

Based on the assumption that the subfield descriptions were truncated at
some point for readability reasons I've also made some style changes
intended to improve the readability of the page.

To test, apply the patch and go to Authorities.

- Search for and view the details for an authority.
- On the authority detail page, confirm that subfield descriptions are
  shown in full.
- Confirm that the style changes look good and make the data more
  readable.
Comment 2 David Nind 2020-10-01 13:32:54 UTC
Created attachment 111044 [details] [review]
Bug 26576: Subfield descriptions on authority detail view are cut off

This patch corrects the authority detail view on the staff interface so
that subfield descriptions are not longer output as truncated strings.

For instance, before this patch the subfield description for 035$a would
be "System control numbe"

After the patch it should be "System control number."

Based on the assumption that the subfield descriptions were truncated at
some point for readability reasons I've also made some style changes
intended to improve the readability of the page.

To test, apply the patch and go to Authorities.

- Search for and view the details for an authority.
- On the authority detail page, confirm that subfield descriptions are
  shown in full.
- Confirm that the style changes look good and make the data more
  readable.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-10-01 13:35:54 UTC
I like the visual improvements.

My only minor quibble (and I don't have any suggestions) is that the italic text in blue - people may think it is a link.

Everywhere else in the staff interface, such as the catalog, thinks you can click on such as the subjects or authors are in blue.
Comment 4 Katrin Fischer 2020-10-13 11:34:09 UTC
Created attachment 111535 [details] [review]
Bug 26576: Subfield descriptions on authority detail view are cut off

This patch corrects the authority detail view on the staff interface so
that subfield descriptions are not longer output as truncated strings.

For instance, before this patch the subfield description for 035$a would
be "System control numbe"

After the patch it should be "System control number."

Based on the assumption that the subfield descriptions were truncated at
some point for readability reasons I've also made some style changes
intended to improve the readability of the page.

To test, apply the patch and go to Authorities.

- Search for and view the details for an authority.
- On the authority detail page, confirm that subfield descriptions are
  shown in full.
- Confirm that the style changes look good and make the data more
  readable.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-10-13 11:34:57 UTC
(In reply to David Nind from comment #3)
> I like the visual improvements.
> 
> My only minor quibble (and I don't have any suggestions) is that the italic
> text in blue - people may think it is a link.
> 
> Everywhere else in the staff interface, such as the catalog, thinks you can
> click on such as the subjects or authors are in blue.

I talked to Owen and he pointed out that the color is the same as is used for the subfield descriptions in the basic editor. I think that means we could deal with working out a different color scheme on a separate bug.
Comment 6 David Nind 2020-10-13 20:18:07 UTC
+1
Comment 7 Jonathan Druart 2020-10-14 12:55:15 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-11-10 23:01:13 UTC
does not apply cleanly to 20.05.x, no backport